%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name: 		libuser
Version: 	0.56.10
Release: 	2
BuildArch:	i686
Group: 		System/Base
License: 	LGPL
Source: 	libuser-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires:  glibc-devel
BuildRequires: 	glib-devel, pam-devel, popt-devel, python26-devel gtk-doc
BuildRequires: 	cyrus-sasl-devel, openldap-devel linuxdoc-tools
Summary: 	A user and group account administration library.


%description
The libuser library implements a standardized interface for manipulating
and administering user and group accounts.  The library uses pluggable
back-ends to interface to its data sources.

Sample applications modeled after those included with the shadow password
suite are included.

%package devel
Group: 		Development/Libraries
Summary: 	Files needed for developing applications which use libuser.
Requires: 	%{name} = %{version}-%{release}
Requires: 	glib-devel

%description devel
The libuser-devel package contains header files, static libraries, and other
files useful for developing applications with libuser.



%prep
%setup -q

%build
%configure \
	--with-ldap \
	--with-html-dir=%{_datadir}/gtk-doc/html PYTHON=/usr/bin/python%{PYVER}
make

%clean
rm -fr $RPM_BUILD_ROOT

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%check
# Verify that all python modules load, just in case.
LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%{_libdir}:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH
cd $RPM_BUILD_ROOT/%{python_sitearch}
python2.6 -c "import libuser"




%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO docs/*.txt python/modules.txt
%config(noreplace) %{_sysconfdir}/libuser.conf
%attr(0755,root,root) %{_bindir}/*
%{python_sitearch}/*.so
%{python_sitearch}/*.so
%exclude %{python_sitearch}/*.la
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%attr(0755,root,root) %{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*


%files devel
%defattr(-,root,root)
%{_includedir}/libuser
%{_libdir}/*.so
#%attr(0644,root,root) %{_mandir}/man3/*
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/*
%{_libdir}/*.la
%{_libdir}/%{name}/*.la

%changelog
* Fri Nov 20 2009 Christian Metzen <metzench@ccux-linux.de> 0.56.10-2
- python 2.6
* Fri Jun 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.56.10-1
- Version update
* Sat Jan 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.55-1
- Version update
* Sun Nov 26 2006 Christian Metzen <metzench@ccux-linux.de> 0.54.8-1
- Version update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.54.6-2
- rebuilt against python 2.5
* Sun Jul 16 2006 Christian Metzen <metzench@ccux-linux.de> 0.54.6-1
- Initial release
